// =====================================
// Mykonos A17
// MajkiFajki 2013-07-18
//
// Mykonos RC1
// JRandomNoob 2018-05-25
// =====================================

// -------------------------------------------------------
// Sky
// -------------------------------------------------------

textures/ut4_mykonos/sky
{
	q3map_noFog
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight
	noPicMip
	noMipMaps

//	q3map_lightmapFilterRadius 0 8
	q3map_lightsubdivide 768
	q3map_backsplash 0 0
//	q3map_sunExt red green blue		intensity	degrees elevation	deviance samples
// deviance 3 is about the max for normal lighting
//	q3map_sunExt 1 1 1		440		220 55	1 16
//	q3map_sunExt 1 1 0.9		440		120 55	1 16
// 120 angle seems best at the moment
//	q3map_sunExt 1 1 0.9		320		120 55	1 16
//	q3map_sunExt 1 1 0.8		400		120 55	1 16
//	q3map_sunExt 1 1 0.9		440		120 55	1 16
//	q3map_sunExt 1 1 0.8		440		120 55	1 16
//	q3map_sunExt 1 1 0.85		1024		120 55	1 16
//	q3map_sunExt 1 1 0.9		1024		120 55	1 16
//	q3map_sunExt 1 1 1		1024		120 55	1 16
//	q3map_sunExt 1 1 0.9		1024		120 55	1 16
//	q3map_sunExt 1 1 0.95		1024		120 45	1 16
	q3map_sunExt 1 1 0.925		1024		120 45	1 16

	q3map_sunExt 1 1 .9		10		140 30	8 16
	q3map_sunExt 1 1 .9		20		140 50	8 16
	q3map_sunExt 1 1 .9		10		140 70	8 16
	q3map_sunExt 1 1 .9		10		160 30	8 16
	q3map_sunExt 1 1 .9		15		160 50	8 16
	q3map_sunExt 1 1 .9		10		160 70	8 16
	q3map_sunExt 1 1 .9		5		180 30	8 16
	q3map_sunExt 1 1 .9		10		180 50	8 16
	q3map_sunExt 1 1 .9		5		180 70	8 16
	q3map_sunExt 1 1 1		2		200 30	8 16
	q3map_sunExt 1 1 1		5		200 50	8 16
	q3map_sunExt 1 1 1		2		200 70	8 16
	q3map_sunExt 1 1 1		5		220 30	8 16
	q3map_sunExt 1 1 1		10		220 50	8 16
	q3map_sunExt 1 1 1		5		220 70	8 16
	q3map_sunExt .9 .9 1	5		240 30	8 16
	q3map_sunExt .9 .9 1	10		240 50	8 16
	q3map_sunExt .9 .9 1	5		240 70	8 16
	q3map_sunExt .9 .9 1	5		260 30	8 16
	q3map_sunExt .9 .9 1	10		260 50	8 16
	q3map_sunExt .9 .9 1	5		260 70	8 16
	q3map_sunExt .9 .9 1	5		280 30	8 16
	q3map_sunExt .9 .9 1	10		280 50	8 16
	q3map_sunExt .9 .9 1	5		280 70	8 16
	q3map_sunExt .8 .8 1	10		300 30	8 16
	q3map_sunExt .8 .8 1	15		300 50	8 16
	q3map_sunExt .8 .8 1	10		300 70	8 16
	q3map_sunExt .9 .9 1	5		320 30	8 16
	q3map_sunExt .9 .9 1	10		320 50	8 16
	q3map_sunExt .9 .9 1	5		320 70	8 16
	q3map_sunExt .9 .9 1	5		340 30	8 16
	q3map_sunExt .9 .9 1	10		340 50	8 16
	q3map_sunExt .9 .9 1	5		340 70	8 16
	q3map_sunExt .9 .9 1	5		0 30	8 16
	q3map_sunExt .9 .9 1	10		0 50	8 16
	q3map_sunExt .9 .9 1	5		0 70	8 16
	q3map_sunExt 1 1 1		5		20 30	8 16
	q3map_sunExt 1 1 1		10		20 50	8 16
	q3map_sunExt 1 1 1		5		20 70	8 16
	q3map_sunExt 1 1 1		5		40 30	8 16
	q3map_sunExt 1 1 1		10		40 50	8 16
	q3map_sunExt 1 1 1		5		40 70	8 16
	q3map_sunExt 1 1 .9		2		60 30	8 16
	q3map_sunExt 1 1 .9		5		60 50	8 16
	q3map_sunExt 1 1 .9		2		60 70	8 16
	q3map_sunExt 1 1 .9		5		80 30	8 16
	q3map_sunExt 1 1 .9		10		80 50	8 16
	q3map_sunExt 1 1 .9		5		80 70	8 16
	q3map_sunExt 1 1 .9		10		100 30	8 16
	q3map_sunExt 1 1 .9		15		100 50	8 16
	q3map_sunExt 1 1 .9		10		100 70	8 16

	skyparms env/ut4_mykonos/sea - -
}

// -------------------------------------------------------
// Remove color splashes
// -------------------------------------------------------

// Quite counterintuitively, the first shader is always loaded and the
// second one ignored (no overwriting here, for whatever reason),
// EXCEPT when the first shader has a :q3map flag, in which case the
// GAME ignores it and uses the second one

textures/ut4_mykonos/PlasterWhite0187_1-white:q3map
{
	surfaceparm stucco
	q3map_lightmapSampleOffset 2
	{
//		map textures/ut4_paris/BuildingsHouseOld0239-light-gray-3.tga
		map textures/ut4_mykonos/BuildingsHouseOld0239-nobounce.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/PlasterWhite0187_1-white-nobounce:q3map
{
	surfaceparm stucco
	{
//		map textures/ut4_paris/BuildingsHouseOld0239-light-gray-3.tga
		map textures/ut4_mykonos/black.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/PlasterWhite0187_1-white-nobounce
{
	surfaceparm stucco
	{
		map textures/ut4_mykonos/PlasterWhite0187_1-white.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/PlasterWhite0187_1-white-grunge-1:q3map
{
	surfaceparm stucco
	{
//		map textures/ut4_paris/BuildingsHouseOld0239-light-gray-3.tga
		map textures/ut4_mykonos/BuildingsHouseOld0239-nobounce.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/PlasterWhite0187_1-blue:q3map
{
	surfaceparm stucco
	{
//		map textures/ut4_paris/BuildingsHouseOld0239-light-gray-3.tga
		map textures/ut4_mykonos/BuildingsHouseOld0239-nobounce.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/FloorsRounded0071-whitewash-1:q3map
{
//	surfaceparm pavement
	surfaceparm rock
	{
//		map textures/ut4_mykonos/FloorsRounded0071-dark-3.tga
		map textures/ut4_mykonos/black.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/FloorsRounded0071-dark-3:q3map
{
//	surfaceparm pavement
	surfaceparm rock
	{
		map textures/ut4_mykonos/black.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/WindowsHouseOld0274:q3map
{
	surfaceparm softwood
	{
		map textures/ut4_mykonos/black.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/2879565245_8b1cea1398_o:q3map
{
	surfaceparm softwood
	{
		map textures/ut4_mykonos/black.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/WoodPlanksPainted0152-test-small-5:q3map
{
	surfaceparm softwood
	{
		map textures/ut4_mykonos/black.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/shutter-1-test-6-saturation-large:q3map
{
	surfaceparm softwood
	{
		map textures/ut4_mykonos/black.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/Cliffs0188_1-test:q3map
{
	surfaceparm rock
	{
		map textures/ut4_mykonos/BuildingsHouseOld0239-nobounce.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/Grass0157_1:q3map
{
	surfaceparm grass
	{
		map textures/ut4_mykonos/BuildingsHouseOld0239-nobounce.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/mk_wood05:q3map
{
	surfaceparm softwood
	{
		map textures/ut4_mykonos/black.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/BrickMessy0029_1:q3map
{
	surfaceparm rock
	{
//		map textures/ut4_mykonos/BuildingsHouseOld0239-nobounce.tga
		map textures/ut4_mykonos/black.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/BrickRound0136_1-test:q3map
{
	surfaceparm rock
	{
		map textures/ut4_mykonos/BuildingsHouseOld0239-nobounce.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/flags-temp-2:q3map
{
	qer_trans 0.5
	surfaceparm trans
	surfaceparm alphaShadow
//	surfaceparm nolightmap
	surfaceparm nonsolid
//	cull none
	noPicMip
	noMipMaps
	{
		map textures/ut4_mykonos/flags-temp-2-nobounce.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc filter
//		depthFunc equal
	}
}

// blue spawn gate
textures/ut4_mykonos/19508079712_1f9d5c7fc1_k:q3map
{
	qer_trans 0.75
	surfaceparm trans
	surfaceparm alphaShadow
	surfaceparm softwood
//	cull none
//	noPicMip
//	noMipMaps
	{
		map textures/ut4_mykonos/19508079712_1f9d5c7fc1_k-nobounce.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc filter
//		depthFunc equal
	}
}

textures/ut4_mykonos/LoamWalls0107:q3map
{
	{
		map textures/ut4_mykonos/black.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

// and one shader for increasing bounce:-P
textures/ut4_mykonos/PlasterWhite0187_1-7-burns-super-bounce:q3map
{
	q3map_bounceScale 1.2
//	q3map_bounceScale 1.05
	surfaceparm stucco
	{
		map textures/ut4_mykonos/white.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/PlasterWhite0187_1-7-burns-super-bounce
{
	surfaceparm stucco
	{
		map textures/ut4_mykonos/PlasterWhite0187_1-7-stacked-burns.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/PlasterWhite0187_1-7-burns-super-bounce-2:q3map
{
//	q3map_bounceScale 2
	q3map_bounceScale 1.5
	surfaceparm stucco
	{
		map textures/ut4_mykonos/white.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/PlasterWhite0187_1-7-burns-super-bounce-2
{
	surfaceparm stucco
	{
		map textures/ut4_mykonos/PlasterWhite0187_1-7-stacked-burns.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/33153108472_303de24338_o-shutter:q3map
{
	surfaceparm softwood
	{
		map textures/ut4_mykonos/BuildingsHouseOld0239-nobounce.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/seawater:q3map
{
//	qer_editorImage textures/null_beach/water_ripples2.tga
	qer_editorImage textures/water/water_flow.tga
//	qer_trans 0.8
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_cloneshader textures/ut4_mykonos/seawater-2
	q3map_tessSize 512
	deformvertexes wave		384		sin		0		32			0		0.1
	{
		map textures/ut4_mykonos/trans.tga
		alphaFunc GE128
	}
}

// null_beach/water_temp_fx_2
textures/ut4_mykonos/seawater-2:q3map
{
//	qer_editorimage textures/null_beach/water_ripples.tga
	qer_editorimage textures/ut4_mykonos/water-flow-opaque.tga
	qer_trans 0.6
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	surfaceparm nomarks
	//q3map_nofancywater
	//cull none
//	q3map_noFog
	q3map_invert
	q3map_offset -2.0
	sort 13
	q3map_tessSize 512
//	deformVertexes wave		div		func	base	amplitude	phase	freq
//	cloneshader needs shifted phase
	deformvertexes wave		384		sin		0		32			0.5		0.1
	{
		map textures/ut4_mykonos/trans.tga
		alphaFunc GE128
	}
}

textures/ut4_mykonos/seawater-foam:q3map
{
//	qer_trans 0.8
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_cloneshader textures/ut4_mykonos/seawater-2
	q3map_tessSize 512
	deformvertexes wave		384		sin		0		32			0		0.1
	{
		map textures/ut4_mykonos/trans.tga
		alphaFunc GE128
	}
}

textures/ut4_mykonos/fog:q3map
{
	qer_editorImage textures/common/fog.tga
	qer_trans 0.25
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodraw
	surfaceparm fog
	fogparms ( 0.5 0.5 0.5 ) 9999
}

textures/ut4_mykonos/FabricPatterns0019-test:q3map
{
	cull none
	{
		map textures/ut4_mykonos/BuildingsHouseOld0239-nobounce.tga
	}
//	{
//		map $lightmap
//		blendFunc filter
//	}
}

models/trees/tree1/branch_t-FIXME:q3map
{
	qer_trans 0.5
	surfaceparm alphashadow
	cull none  
	nopicmip 
//	nomipmaps
	q3map_vertexscale 2
	deformVertexes wave 5 sin 0 .3 0 .3

	{ 
		map models/trees/tree1/branch_t.tga 
		alphaFunc GE128 
		blendfunc filter 
////		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
//		depthwrite
//		rgbGen vertex
	} 
	{
		map $lightmap 
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

models/trees/tree1/bark-FIXME:q3map
{
	q3map_vertexscale 2
	{
	map models/trees/tree1/bark.jpg
//	rgbGen vertex
	}
	{
		map $lightmap 
		blendfunc filter
//		blendFunc GL_DST_COLOR GL_ZERO
//		depthFunc equal
//		rgbGen vertex
	}
}

textures/ut4_mykonos/MarbleVeined0064_2-test-4-nonsolid:q3map
{
	surfaceparm nonsolid
	{
		map textures/ut4_mykonos/BuildingsHouseOld0239-nobounce.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}



// -------------------------------------------------------
// Water
// -------------------------------------------------------

textures/ut4_mykonos/fountain
{
	qer_editorImage textures/ut4_mykonos/fs_rain2.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans .5
	cull none
	{
		map textures/ut4_mykonos/rain2.tga
		tcMod Scroll .01 -2
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/ut4_mykonos/rain.tga
		tcMod Scroll .5 -2.5
		tcMod turb .1 .25 0 -.1
//		blendFunc GL_ONE GL_ONE
		blendFunc GL_dst_color GL_one
	}
}

textures/ut4_mykonos/WaterPlain0017_2
{
	qer_trans 0.3
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm water
	surfaceparm nolightmap
//	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5
	{ 
		map textures/ut4_mykonos/WaterPlain0017_2-darker-grayscale.tga
		blendFunc GL_dst_color GL_one
//		rgbGen identity
//		tcMod scale 0.5 0.5
		tcMod transform 1.5 0 1.5 1 1 2
//		tcMod scroll -0.05 0.001
		tcMod turb 0 0.125 0.75 0.02
	}
//	{
//		map $lightmap
//		blendFunc filter
//	}
}

textures/ut4_mykonos/watercaulk
{
	qer_editorImage textures/common/watercaulk.tga
	qer_trans 0.15
	surfaceparm water
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodraw
//	q3map_noFog
	surfaceparm fog
//	fogparms ( 0.749019 0.7098039 0.6078431 ) 1280 // from textures/null_beach/water_fog
	fogparms ( 0.0 0.05 0.5 ) 64
}

// null_beach/water_temp_fx
textures/ut4_mykonos/seawater
{
//	qer_editorImage textures/null_beach/water_ripples2.tga
	qer_editorImage textures/water/water_flow-opaque.tga
//	qer_trans 0.8
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	surfaceparm nomarks
//	surfaceparm fog
//	fogparms ( 0.749019 0.7098039 0.6078431 ) 1280 // from textures/null_beach/water_fog
//	fogparms ( 0.0 0.1 0.25 ) 128
//	q3map_fancywater 1 1 1 1 
// not needed if you can't get into the water
	q3map_cloneshader textures/ut4_mykonos/seawater-2
	q3map_tessSize 512
//	deformVertexes wave		div		func	base	amplitude	phase	freq
//	deformvertexes wave		512		sin		0		32			0		0.1
//	gives messier waves, might fuck up the shore
	deformvertexes wave		384		sin		0		32			0		0.1
	{
//		map textures/null_beach/water_ripples2.tga
		map textures/ut4_mykonos/water-flow-opaque.tga
//		blendfunc blend
//		blendfunc GL_DST_COLOR GL_ZERO
		blendFunc GL_one GL_one_minus_src_alpha
//		tcMod scroll 0 0.01
		tcMod scroll 0 -0.1
//		tcMod turb 0 0.5 0.75 0.02
		tcMod turb 0 0.125 0.75 0.02
//		tcgen vector ( 0.001953 0 0 ) ( 0 0.001253 0 )
	}
//	{
//		map textures/null_beach/water_ripples2.tga
//		blendfunc blend
//		tcMod scroll 0 0.012
//		tcMod turb 0 0.5 0.25 0.025
//		tcgen vector ( 0.001953 0 0 ) ( 0 0.001253 0 )
//	}
//	{
//		map $whiteimage
//		rgbGen const ( 0.749019 0.7098039 0.6078431 )
//		alphagen oneminusvertex
//		blendfunc blend
//	}
}

// null_beach/water_temp_fx_2
textures/ut4_mykonos/seawater-2
{
//	qer_editorimage textures/null_beach/water_ripples.tga
	qer_editorimage textures/ut4_mykonos/water-flow-opaque.tga
	qer_trans 0.6
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	surfaceparm nomarks
	//q3map_nofancywater
	//cull none
//	q3map_noFog
	q3map_invert
	q3map_offset -2.0
	sort 13
	q3map_tessSize 512
//	deformVertexes wave		div		func	base	amplitude	phase	freq
//	cloneshader needs shifted phase
	deformvertexes wave		384		sin		0		32			0.5		0.1
	{
//		map textures/null_beach/water_ripples2.tga
		map textures/ut4_mykonos/water-flow-opaque.tga
//		alphagen vertex
		blendfunc blend
//		tcMod scroll 0 0.01
		tcMod scroll 0 -0.1
//		tcMod turb 0 0.5 0.75 0.02
		tcMod turb 0 0.125 0.75 0.02
//		tcgen vector ( 0.001953 0 0 ) ( 0 0.001253 0 )
	}
}

// alphaMod 0shows the first texture, 1 the second
textures/ut4_mykonos/seawater-foam
{
//	qer_trans 0.8
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_cloneshader textures/ut4_mykonos/seawater-2
	q3map_tessSize 512
//	gives messier waves, might fuck up the shore
	deformvertexes wave		384		sin		0		32			0		0.1
	{
		map textures/ut4_mykonos/water-flow-opaque.tga
		blendFunc GL_one GL_one_minus_src_alpha
		tcMod scroll 0 -0.1
		tcMod turb 0 0.125 0.75 0.02
	}
	{
		map textures/ut4_mykonos/seawater-foam.tga
		alphagen vertex
		alphafunc gt0
//		blendFunc GL_one GL_one_minus_src_alpha
		blendFunc blend
//		tcMod scroll 0 -0.1
		tcMod turb 0 0.125 0.75 0.02
	}
//	{
//		map $whiteimage
//		rgbGen const ( 0.749019 0.7098039 0.6078431 )
//		alphagen oneminusvertex
//		blendfunc blend
//	}
}

textures/ut4_mykonos/sea-trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
	q3map_tessSize 512
//	deformVertexes wave		div		func	base	amplitude	phase	freq
//	double the aplitude
	deformvertexes wave		384		sin		0		64			0		0.1
}

textures/ut4_mykonos/fog
{
	qer_editorImage textures/common/fog.tga
	qer_trans 0.25
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodraw
	surfaceparm fog
	fogparms ( 0 0 0 ) 128
}

textures/ut4_mykonos/sea-portal-sky
{
	qer_editorImage textures/ut4_mykonos/water-flow-tiny.tga
	qer_trans 0.8
	surfaceparm trans
	surfaceparm nonsolid
//	surfaceparm water
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_tessSize 64
	deformvertexes wave		384		sin		0		32			0		0.1
	{
		map textures/ut4_mykonos/water-flow-tiny.tga
		tcMod scroll 0 -0.1
		tcMod turb 0 0.125 0.75 0.02
	}
}



// -------------------------------------------------------
// Metamaterials, nocull, picMip/mipMaps, phong, nonsolid
// -------------------------------------------------------

textures/ut4_mykonos/nolightmap
{
	qer_editorImage textures/ut4_mykonos/black
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/ut4_mykonos/black.tga
	}
}

textures/ut4_mykonos/black-nocull
{
	cull none
	polygonOffset // to avoid the AC supports z-fighting with the the AC bottom
				  // works as intended
	{
		map textures/ut4_mykonos/black.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/sid-travels
{
	noPicMip
	noMipMaps
	{
		map textures/ut4_mykonos/sid-travels.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/hellenic-seaways
{
	noPicMip
	{
		map textures/ut4_mykonos/hellenic-seaways.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/FabricPatterns0019-test
{
	cull none
	{
		map textures/ut4_mykonos/FabricPatterns0019-test.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/PlasterWhite0187_1-white-phong
{
	q3map_nonplanar
	q3map_shadeangle 90
	{
		map textures/ut4_mykonos/PlasterWhite0187_1-white.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/PlasterWhite0187_1-white-nonsolid
{
	surfaceparm nonsolid
	{
		map textures/ut4_mykonos/PlasterWhite0187_1-white.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/MarbleVeined0064_2-test-4-nonsolid
{
	surfaceparm nonsolid
	{
		map textures/ut4_mykonos/MarbleVeined0064_2-test-4.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/MarbleGranite0002-test-nonsolid
{
	surfaceparm nonsolid
	{
		map textures/ut4_mykonos/MarbleGranite0002-test.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

// alphaMod 0shows the first texture, 1 the second
textures/ut4_mykonos/rock-grass
{
	qer_editorImage textures/ut4_mykonos/Cliffs0188_1-test-Grass0157_1.tga
//	q3map_nonplanar
//	q3map_shadeangle 180
	{
		map textures/ut4_mykonos/Cliffs0188_1-test.tga
	}
	{
		map textures/ut4_mykonos/Grass0157_1.tga
		tcmod scale 2 2
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
	map $lightmap 
	blendfunc filter
	}
}

textures/ut4_mykonos/WoodPlanksOld0260_2-nonsolid
{
	surfaceparm nonsolid
	{
		map textures/ut4_mykonos/WoodPlanksOld0260_2.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/WoodPlanksPainted0152-5-nonsolid
{
	surfaceparm nonsolid
	{
		map textures/ut4_mykonos/WoodPlanksPainted0152-test-small-5.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/WoodPlanksPainted0224-new-2-nonsolid
{
	surfaceparm nonsolid
	{
		map textures/ut4_mykonos/WoodPlanksPainted0224-new-2.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/WoodFine0077_2-nonsolid
{
	surfaceparm nonsolid
	{
		map textures/ut4_mykonos/WoodFine0077_2.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}




// -------------------------------------------------------
// Decals
// -------------------------------------------------------

textures/ut4_mykonos/Sewer0079_1
{
	surfaceparm nolightmap
	polygonOffset
	{
		map textures/ut4_mykonos/Sewer0079_1.tga
		blendFunc blend
		rgbGen vertex
	}
}

textures/ut4_mykonos/Sewer0132
{
	surfaceparm nolightmap
	polygonOffset
	{
		map textures/ut4_mykonos/Sewer0132.tga
		blendFunc blend
		rgbGen vertex
	}
}

textures/ut4_mykonos/Sewer0121
{
	surfaceparm nolightmap
	polygonOffset
	{
		map textures/ut4_mykonos/Sewer0121.tga
		blendFunc blend
		rgbGen vertex
	}
}

textures/ut4_mykonos/prelim-majkis-tavern
{
	surfaceparm trans
	{
		map textures/ut4_mykonos/prelim-majkis-tavern.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/mini-market
{
	noPicMip
	noMipMaps
	{
		map textures/ut4_mykonos/mini-market.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/enoikiazetai
{
	noPicMip
	{
		map textures/ut4_mykonos/enoikiazetai.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/Posters0040_1
{
	polygonOffset
	noPicMip
	surfaceparm nolightmap
	{
		map textures/ut4_mykonos/Posters0040_1.tga
		blendFunc blend
		rgbGen vertex
	}
}

textures/ut4_mykonos/sign-mini-market-1
{
	polygonOffset
	noPicMip
	surfaceparm nolightmap
	{
		map textures/ut4_mykonos/sign-mini-market-1.tga
		blendFunc blend
		rgbGen identity
	}
}

textures/ut4_mykonos/sign-hoteliers
{
	polygonOffset
	noPicMip
	surfaceparm nolightmap
	{
		map textures/ut4_mykonos/sign-hoteliers.tga
		blendFunc blend
		rgbGen vertex
	}
}

textures/ut4_mykonos/sign-three-wells
{
	polygonOffset
	noPicMip
	surfaceparm nolightmap
	{
		map textures/ut4_mykonos/sign-three-wells.tga
		blendFunc blend
		rgbGen identity
	}
}

textures/ut4_mykonos/sign-home-grown
{
	polygonOffset
	noPicMip
	surfaceparm nolightmap
	{
		map textures/ut4_mykonos/sign-home-grown.tga
		blendFunc blend
		rgbGen identity
	}
}

textures/ut4_mykonos/sign-fully-ac
{
	polygonOffset
	noPicMip
	surfaceparm nolightmap
	{
		map textures/ut4_mykonos/sign-fully-ac.tga
		blendFunc blend
		rgbGen identity
	}
}

textures/ut4_mykonos/sign-hotel-info
{
	polygonOffset
	noPicMip
//	surfaceparm nolightmap
	{
		map textures/ut4_mykonos/sign-hotel-info.tga
//		blendFunc blend
//		rgbGen vertex
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/sign-tria-pegadia
{
	polygonOffset
	noPicMip
//	surfaceparm nolightmap
	{
		map textures/ut4_mykonos/sign-tria-pegadia.tga
//		blendFunc blend
//		rgbGen vertex
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/sign-bread
{
	polygonOffset
	noPicMip
//	surfaceparm nolightmap
	{
		map textures/ut4_mykonos/sign-bread.tga
//		blendFunc blend
//		rgbGen vertex
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/sign-workshop-silver-icons
{
	polygonOffset
	noPicMip
//	surfaceparm nolightmap
	{
		map textures/ut4_mykonos/sign-workshop-silver-icons.tga
//		blendFunc blend
//		rgbGen vertex
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/sign-sok-stis-times
{
	polygonOffset
	noPicMip
//	surfaceparm nolightmap
	{
		map textures/ut4_mykonos/sign-sok-stis-times.tga
//		blendFunc blend
//		rgbGen vertex
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/sign-shocked
{
	polygonOffset
	noPicMip
//	surfaceparm nolightmap
	{
		map textures/ut4_mykonos/sign-shocked.tga
//		blendFunc blend
//		rgbGen vertex
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/sign-marias
{
	polygonOffset
	noPicMip
//	surfaceparm nolightmap
	{
		map textures/ut4_mykonos/sign-marias.tga
//		blendFunc blend
//		rgbGen vertex
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/sign-tobacco
{
	polygonOffset
	noPicMip
//	surfaceparm nolightmap
	{
		map textures/ut4_mykonos/sign-tobacco.tga
//		blendFunc blend
//		rgbGen vertex
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/sign-caprice
{
	polygonOffset
	noPicMip
	surfaceparm nolightmap
	{
		map textures/ut4_mykonos/sign-caprice.tga
		blendFunc blend
		rgbGen vertex
	}
}

textures/ut4_mykonos/sign-toiletes
{
	polygonOffset
	noPicMip
//	surfaceparm nolightmap
	{
		map textures/ut4_mykonos/sign-toiletes.tga
//		blendFunc blend
//		rgbGen vertex
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/street-sign-agios
{
	polygonOffset
	noPicMip
	surfaceparm nolightmap
	{
		map textures/ut4_mykonos/street-sign-agios.tga
		blendFunc blend
		rgbGen vertex
		alphaFunc GE128
		depthWrite
	}
//	{
//		map $lightmap
//		blendFunc filter
//	}
}

textures/ut4_mykonos/street-sign-inglessi
{
	polygonOffset
	noPicMip
	surfaceparm nolightmap
	{
		map textures/ut4_mykonos/street-sign-inglessi.tga
		blendFunc blend
		rgbGen vertex
		alphaFunc GE128
		depthWrite
	}
//	{
//		map $lightmap
//		blendFunc filter
//	}
}

textures/ut4_mykonos/street-sign-pelekanou
{
	polygonOffset
	noPicMip
	surfaceparm nolightmap
	{
		map textures/ut4_mykonos/street-sign-pelekanou.tga
		blendFunc blend
		rgbGen vertex
		alphaFunc GE128
		depthWrite
	}
//	{
//		map $lightmap
//		blendFunc filter
//	}
}

textures/ut4_mykonos/sign-internet
{
	polygonOffset
	noPicMip
	surfaceparm trans
//	surfaceparm nolightmap
	{
		map textures/ut4_mykonos/sign-internet.tga
//		blendFunc blend
//		rgbGen vertex
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/souljah
{
	polygonOffset
	noPicMip
	surfaceparm nolightmap
	{
		map textures/ut4_mykonos/souljah.tga
//		blendFunc blend
//		rgbGen vertex
	}
}

textures/ut4_mykonos/mykonos-hd
{
	surfaceparm nolightmap
	{
		map textures/ut4_mykonos/mykonos-hd.tga
	}
}

textures/ut4_mykonos/earthquake
{
	surfaceparm trans
	surfaceparm nolightmap
	{
		map textures/ut4_mykonos/earthquake.tga
		alphaFunc GE128
//		depthWrite
	}
}

textures/ut4_mykonos/sign-argo
{
	polygonOffset
	noPicMip
//	surfaceparm nolightmap
	{
		map textures/ut4_mykonos/sign-argo.tga
//		blendFunc blend
//		rgbGen vertex
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/sign-the-piano-bar-poster
{
	polygonOffset
	noPicMip
//	surfaceparm nolightmap
	{
		map textures/ut4_mykonos/sign-the-piano-bar-poster.tga
//		blendFunc blend
//		rgbGen vertex
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/sign-the-piano-bar-door
{
	qer_trans 0.5
	polygonOffset
	surfaceparm trans
//	surfaceparm alphaShadow
//	surfaceparm nolightmap
//	cull none
	noPicMip
	noMipMaps
	{
		map textures/ut4_mykonos/sign-the-piano-bar-door.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc filter
		depthFunc equal
	}
}

textures/ut4_mykonos/sign-mykonos-tattoo-4
{
	polygonOffset
	noPicMip
//	surfaceparm nolightmap
	{
		map textures/ut4_mykonos/sign-mykonos-tattoo-4.tga
//		blendFunc blend
//		rgbGen vertex
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/sign-mykonos-tattoo-5
{
	polygonOffset
	noPicMip
//	surfaceparm nolightmap
	{
		map textures/ut4_mykonos/sign-mykonos-tattoo-5.tga
//		blendFunc blend
//		rgbGen vertex
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_mykonos/sign-hotel-lefteris-ad
{
	polygonOffset
	noPicMip
//	surfaceparm nolightmap
	{
		map textures/ut4_mykonos/sign-hotel-lefteris-ad.tga
//		blendFunc blend
//		rgbGen vertex
	}
	{
		map $lightmap
		blendFunc filter
	}
}

// this is great!
textures/ut4_mykonos/DecalsSubtle0019_1-new-2
{
	qer_trans 0.5
	polygonOffset
	noPicMip
	surfaceparm trans
	surfaceparm nolightmap
	{
		map textures/ut4_mykonos/DecalsSubtle0019_1-new-2.tga
		blendFunc blend
		rgbGen vertex
//		alphaFunc GE128
//		depthWrite
	}
//	{
//		map $lightmap
//		blendFunc filter
//	}
}

textures/ut4_mykonos/DecalsDamagePlaster0015_1-new
{
	qer_trans 0.5
	polygonOffset
	noPicMip
	surfaceparm trans
	surfaceparm nolightmap
	{
		map textures/ut4_mykonos/DecalsDamagePlaster0015_1-new.tga
		blendFunc blend
		rgbGen vertex
//		alphaFunc GE128
//		depthWrite
	}
//	{
//		map $lightmap
//		blendFunc filter
//	}
}

// unused
textures/ut4_mykonos/DecalsSubtle0029_2-new
{
	qer_trans 0.5
	polygonOffset
	noPicMip
	surfaceparm trans
	surfaceparm nolightmap
	{
		map textures/ut4_mykonos/DecalsSubtle0029_2-new.tga
		blendFunc blend
		rgbGen vertex
//		alphaFunc GE128
//		depthWrite
	}
//	{
//		map $lightmap
//		blendFunc filter
//	}
}

// unused
textures/ut4_mykonos/DecalLeakingRusty0002_1
{
	qer_trans 0.5
	polygonOffset
	noPicMip
	surfaceparm trans
	surfaceparm nolightmap
	{
		map textures/ut4_mykonos/DecalLeakingRusty0002_1.tga
		blendFunc blend
		rgbGen vertex
//		alphaFunc GE128
//		depthWrite
	}
//	{
//		map $lightmap
//		blendFunc filter
//	}
}

// unused
textures/ut4_mykonos/DecalLeakingRusty0021_1
{
	qer_trans 0.5
	polygonOffset
	noPicMip
	surfaceparm trans
	surfaceparm nolightmap
	{
		map textures/ut4_mykonos/DecalLeakingRusty0021_1.tga
		blendFunc blend
		rgbGen vertex
//		alphaFunc GE128
//		depthWrite
	}
//	{
//		map $lightmap
//		blendFunc filter
//	}
}

textures/ut4_mykonos/DecalLeakingRusty0023_1
{
	qer_trans 0.5
	polygonOffset
	noPicMip
	surfaceparm trans
	surfaceparm nolightmap
	{
		map textures/ut4_mykonos/DecalLeakingRusty0023_1.tga
		blendFunc blend
		rgbGen vertex
//		alphaFunc GE128
//		depthWrite
	}
//	{
//		map $lightmap
//		blendFunc filter
//	}
}

// unused
textures/ut4_mykonos/DecalsLeaking0250_1
{
	qer_trans 0.5
	polygonOffset
	noPicMip
	surfaceparm trans
	surfaceparm nolightmap
	{
		map textures/ut4_mykonos/DecalsLeaking0250_1.tga
		blendFunc blend
		rgbGen vertex
//		alphaFunc GE128
//		depthWrite
	}
//	{
//		map $lightmap
//		blendFunc filter
//	}
}

// unused
textures/ut4_mykonos/DecalsRusted0044_1
{
	qer_trans 0.5
	polygonOffset
	noPicMip
	surfaceparm trans
	surfaceparm nolightmap
	{
		map textures/ut4_mykonos/DecalsRusted0044_1.tga
		blendFunc blend
		rgbGen vertex
//		alphaFunc GE128
//		depthWrite
	}
//	{
//		map $lightmap
//		blendFunc filter
//	}
}

// unused
textures/ut4_mykonos/DecalLeakingRusty0020_1
{
	qer_trans 0.5
	polygonOffset
	noPicMip
	surfaceparm trans
	surfaceparm nolightmap
	{
		map textures/ut4_mykonos/DecalLeakingRusty0020_1.tga
		blendFunc blend
		rgbGen vertex
//		alphaFunc GE128
//		depthWrite
	}
//	{
//		map $lightmap
//		blendFunc filter
//	}
}

// unused
textures/ut4_mykonos/DecalLeakingRusty0005_1
{
	qer_trans 0.5
	polygonOffset
	noPicMip
	surfaceparm trans
	surfaceparm nolightmap
	{
		map textures/ut4_mykonos/DecalLeakingRusty0005_1.tga
		blendFunc blend
		rgbGen vertex
//		alphaFunc GE128
//		depthWrite
	}
//	{
//		map $lightmap
//		blendFunc filter
//	}
}

// unused
textures/ut4_mykonos/DecalLeakingRusty0013_1
{
	qer_trans 0.5
	polygonOffset
	noPicMip
	surfaceparm trans
	surfaceparm nolightmap
	{
		map textures/ut4_mykonos/DecalLeakingRusty0013_1.tga
		blendFunc blend
		rgbGen vertex
//		alphaFunc GE128
//		depthWrite
	}
//	{
//		map $lightmap
//		blendFunc filter
//	}
}

// leonidas
textures/ut4_mykonos/mk_sign01
{
	qer_trans 0.5
	polygonOffset
	surfaceparm trans
//	surfaceparm alphaShadow
//	surfaceparm nolightmap
//	cull none
	noPicMip
	noMipMaps
	{
		map textures/ut4_mykonos/mk_sign01.tga
		alphaFunc GE128
//		depthWrite
	}
	{
		map $lightmap
		blendFunc filter
		depthFunc equal
	}
}



// -------------------------------------------------------
// Goddammit BlackRayne
// -------------------------------------------------------

models/mapobjects/br_smokes/br_ashtray1
{
	qer_editorImage models/mapobjects/br_ashtray/br_ashtray1
	{
		map models/mapobjects/br_ashtray/br_ashtray1.tga
	}
}



// -------------------------------------------------------
// Terrain and sea blending
// -------------------------------------------------------

textures/ut4_mykonos/alpha-0
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.6
}

textures/ut4_mykonos/alpha-1
{
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.6
}



// -------------------------------------------------------
// Transparency
// -------------------------------------------------------

// balcony railing
textures/ut4_mykonos/OrnamentsVarious0408_1-test
{
//	qer_trans 0.7
	surfaceparm trans
	surfaceparm alphaShadow
	cull none
	noPicMip
	noMipMaps
	{
		map textures/ut4_mykonos/OrnamentsVarious0408_1-test.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc filter
		depthFunc equal
	}
}

textures/ut4_mykonos/sign-alpha-bank
{
	qer_trans 0.5
	surfaceparm trans
	surfaceparm alphaShadow
//	cull none
	noPicMip
	noMipMaps
	{
		map textures/ut4_mykonos/sign-alpha-bank.tga
		alphaFunc GE128
		rgbGen identity
		depthWrite
	}
//	{
//		map $lightmap
//		blendFunc filter
//		depthFunc equal
//	}
}

textures/ut4_mykonos/sign-veranda
{
	qer_trans 0.5
	surfaceparm trans
	surfaceparm alphaShadow
	surfaceparm nolightmap
//	cull none
	noPicMip
	noMipMaps
	{
		map textures/ut4_mykonos/sign-veranda.tga
		alphaFunc GE128
		rgbGen identity
		depthWrite
	}
//	{
//		map $lightmap
//		blendFunc filter
//		depthFunc equal
//	}
}

textures/ut4_mykonos/sign-coffee-snacks-cocktails
{
	qer_trans 0.5
	surfaceparm trans
	surfaceparm alphaShadow
	surfaceparm nolightmap
//	cull none
	noPicMip
	noMipMaps
	{
		map textures/ut4_mykonos/sign-coffee-snacks-cocktails.tga
		alphaFunc GE128
		rgbGen identity
		depthWrite
	}
//	{
//		map $lightmap
//		blendFunc filter
//		depthFunc equal
//	}
}

// blue spawn gate
textures/ut4_mykonos/19508079712_1f9d5c7fc1_k
{
	qer_trans 0.75
	surfaceparm trans
	surfaceparm alphaShadow
	surfaceparm softwood
//	cull none
//	noPicMip
//	noMipMaps
	{
		map textures/ut4_mykonos/19508079712_1f9d5c7fc1_k.tga
		alphaFunc GE128
//		rgbGen identity
		depthWrite
	}
	{
		map $lightmap
		blendFunc filter
		depthFunc equal
	}
}

textures/ut4_mykonos/flags-temp-2
{
	qer_trans 0.5
	surfaceparm trans
	surfaceparm alphaShadow
	surfaceparm nolightmap
	surfaceparm nonsolid
//	cull none
	noPicMip
	noMipMaps
	{
		map textures/ut4_mykonos/flags-temp-2.tga
		alphaFunc GE128
//		rgbGen identity
		depthWrite
	}
	{
		map $lightmap
		blendFunc filter
		depthFunc equal
	}
}

textures/ut4_mykonos/power-lines
{
	qer_trans 0.5
	surfaceparm trans
	surfaceparm alphaShadow
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull none
	noPicMip
	noMipMaps
	{
		map textures/ut4_mykonos/power-lines.tga
		alphaFunc GE128
		depthWrite
	}
}

textures/ut4_mykonos/sign-happiness
{
	qer_trans 0.5
	surfaceparm trans
	surfaceparm alphaShadow
	surfaceparm nolightmap
//	cull none
	noPicMip
	noMipMaps
	{
		map textures/ut4_mykonos/sign-happiness.tga
		alphaFunc GE128
		rgbGen identity
		depthWrite
	}
//	{
//		map $lightmap
//		blendFunc filter
//		depthFunc equal
//	}
}

textures/ut4_mykonos/Trees0027_3
{
	qer_trans 0.5
	surfaceparm trans
	surfaceparm alphaShadow
	noPicMip
	noMipMaps
//	deformVertexes autoSprite // mm, can't do this when the trees are part of a model
	{
		map textures/ut4_mykonos/Trees0027_3.tga
		alphaFunc GE128
//		rgbGen identity
//		depthWrite
	}
	{
		map $lightmap // for that matter, there's no lightmap either:-P
		blendFunc filter
		depthFunc equal
	}
}

textures/ut4_mykonos/Trees0024_1
{
	qer_trans 0.5
	surfaceparm trans
	surfaceparm alphaShadow
	noPicMip
	noMipMaps
//	deformVertexes autoSprite
	{
		map textures/ut4_mykonos/Trees0024_1.tga
		alphaFunc GE128
//		rgbGen identity
//		depthWrite
	}
	{
		map $lightmap
		blendFunc filter
		depthFunc equal
	}
}

textures/ut4_mykonos/Trees0032
{
	qer_trans 0.5
	surfaceparm trans
	surfaceparm alphaShadow
	noPicMip
	noMipMaps
//	deformVertexes autoSprite
	{
		map textures/ut4_mykonos/Trees0032.tga
		alphaFunc GE128
//		rgbGen identity
//		depthWrite
	}
	{
		map $lightmap
		blendFunc filter
		depthFunc equal
	}
}














textures/ut4_mykonos/one
{
	qer_editorImage textures/ut4_mykonos/water-flow-opaque.tga
//	q3map_tessSize 512
//	deformvertexes wave		384		sin		0		32			0		0.1
	{
		map textures/ut4_mykonos/water-flow-opaque.tga
//		blendFunc GL_one GL_one_minus_src_alpha
//		tcMod scroll 0 -0.1
//		tcMod turb 0 0.125 0.75 0.02
	}
}

// alphaMod 0shows the first texture, 1 the second
textures/ut4_mykonos/two
{
	qer_editorImage textures/ut4_mykonos/seawater-foam.tga
//	q3map_tessSize 512
//	deformvertexes wave		384		sin		0		32			0		0.1
	{
		map textures/ut4_mykonos/water-flow-opaque.tga
//		blendFunc blend
//		tcMod scroll 0 -0.1
//		tcMod turb 0 0.125 0.75 0.02
	}
	{
		map textures/ut4_mykonos/seawater-foam.tga
		alphagen vertex
		alphafunc gt0
		blendFunc blend
//		tcMod scroll 0 -0.1
//		tcMod turb 0 0.125 0.75 0.02
	}
}
